/* Input ================ */
:root {
  --input-height: 50px;
  --input-padding-horizontal: 20px;
  --input-border-radius: 10px;
  --input-font-size: 18px;
  --input-color: var(--color-black-light);
  --input-border: none;
  --input-background-color: var(--color-white);

  --input-placeholder-color: color-mod(var(--color-black-light) lightness(20%));
}

.input {
  display: inline-block;
  width: 100%;
  height: var(--input-height);
  padding-right: var(--input-padding-horizontal);
  padding-left: var(--input-padding-horizontal);
  border: var(--input-border);
  border-radius: var(--input-border-radius);
  background-color: var(--input-background-color);
  font-family: var(--font-open-sans);
  font-size: var(--input-font-size);
  color: var(--input-color);
  transition: var(--transition-time) var(--transition-type);

  &::placeholder {
    color: var(--input-placeholder-color);
  }

  &:focus {
    outline: none;

    &::placeholder {
      color: transparent;
    }
  }

  &.error {
    border-color: var(--color-erro);
  }
}

span.error {
  display: block;
  width: 100%;
  padding-left: 15px;
  position: absolute;
  top: 100%;
  font-size: 14px;
  text-align: left;
  color: var(--color-primary);
}

.js-mask-phone {

  &:focus {

    &::placeholder {
      color: var(--color-black-light);
    }
  }
}
/* ================ end input styles */
